Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class ReflectionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.management.JMException
                        |
                        +--javax.management.ReflectionException

public class ReflectionException
extends javax.management.JMException

This class represents exceptions thrown in the MBeanServer when using the java.lang.reflect classes to invoke methods on MBeans. It "wraps" the actual java.lang.Exception thrown.

See Also:
  Serialized Form

Constructor Summary
`ReflectionException(java.lang.Exception e)` Creates a ReflectionException that wraps the actual java.lang.Exception.
`ReflectionException(java.lang.Exception e, java.lang.String message)` Creates a ReflectionException that wraps the actual java.lang.Exception with a detail message.

Method Summary
`java.lang.Exception` | `getTargetException()` Returns the actual java.lang.Exception thrown

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReflectionException

    public ReflectionException(java.lang.Exception e)

  Creates a ReflectionException that wraps the actual java.lang.Exception.

### ReflectionException

    public ReflectionException(java.lang.Exception e,
                               java.lang.String message)

  Creates a ReflectionException that wraps the actual java.lang.Exception with a detail message.

Method Detail

### getTargetException

    public java.lang.Exception getTargetException()

  Returns the actual java.lang.Exception thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD